SEQ(1)

NAME
seq - prints a sequence of numbers

SYNOPSIS
seq [OPTION]... [FIRST [STEP]] LAST...

DESCRIPTION
This manual page documents briefly the GNU seq command. This manual page was written for the Debian GNU/Linux distribution (but may be used by others), because the original program does not have a manual page. Instead, it has documentation in the GNU Info format; see below.

seq prints a sequence of numbers to standard output. It prints the numbers from FIRST to LAST by STEP. By default, FIRST and STEP are both 1, and each number is printed on its own line. All numbers can be reals, not just integers.

OPTIONS
The programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options are included below. For a complete description, see the Info files.

-f FORMAT, --format=FORMAT
    Print all numbers using FORMAT; default `%g'. FORMAT must contain exactly one of the standarding float output formats `%e', `%f', or `%g'.

-s STRING, --separator=STRING
    Separate numbers with STRING; default is a newline. The output always terminates with a newline.

-w, --equal-width
    Print all numbers with the same width, by padding with leading zeroes. (To have other kinds of padding, use `--format').

--help
    Show summary of options.

--version
    Show version of program.

SEE ALSO
This program is documented fully by Shell utilities: (sh-utils), GNU shell utilities, available via the Info system.

AUTHOR
This manual page was written by Galen Hazelwood, for the Debian GNU/Linux system.